{% extends "base.html" %} {% load static %} {% block stylesheet %} {% endblock stylesheet %} {% block title %}


<h1>Administrar Rúbricas ABET</h1>

{% endblock title %} {% block content %}

<ul class="nav nav-pills nav-pills-primary" role="tablist">
	<li class="active">
		<a href="#pillnav1" role="tab" data-toggle="tab">
			<i class="zmdi zmdi-home"></i> Rúbricas ABET Globales
		</a>
	</li>
	<li>
		<a href="#pillnav2" role="tab" data-toggle="tab">
			<i class="zmdi zmdi-calendar-note"></i> Mis Rúbricas ABET 
		</a>
	</li>
</ul>
<div id="pillContent1" class="tab-content m-t-15">
	<div class="tab-pane fade active in" id="pillnav1">
		<div class="row">
			<div class="card card-data-tables product-table-wrapper">
				<header class="card-heading">
					<h2 class="card-title">Rúbricas ABET Activas</h2>
					<div class="card-search">
						<div id="productsTable_wrapper" class="form-group label-floating is-empty">
							<i class="zmdi zmdi-search search-icon-left"></i>
							<input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
							<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
								<i class="zmdi zmdi-close"></i>
							</a>
						</div>
					</div>
					<ul class="card-actions icons right-top">
						<li>
							<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
								<i class="zmdi zmdi-filter-list"></i>
							</a>
						</li>
						<li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Show Entries">
							<a href="javascript:void(0)" data-toggle="dropdown">
								<i class="zmdi zmdi-more-vert"></i>
							</a>
							<div id="dataTablesLength">
							</div>
						</li>
					</ul>
				</header>
				<div class="card-body p-0">
					<div class="table-responsive">
						<table id="rubricas" class="project-list mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
							<thead>
								<tr>
									<th>Título</th>
									<th>Asignatura</th>
									<th>Última Edición</th>
									<th>Acciones</th>
								</tr>
							</thead>
							<tbody>
								{% for rubric in abets_activos %}
								<tr>
									<td class="col-md-3">{{rubric.name}}</td>
									<td class="col-md-3">{{rubric.subject}}</td>
									<td class="col-md-3">{{rubric.date}}</td>
									<td class="col-md-3" style="text-align:left">
										<a href="{% url 'abet_rubric_details' rubric.pk %}" class="btn btn-success btn-sm">
											<i class="fa fa-info-circle"></i> Detalles </a>
										<a href="{% url 'abet_rubric_delete' rubric.pk %}" class="btn btn-danger btn-sm">
											<i class="fa fa-times"></i> Eliminar </a>
										<button class="btn btn-warning btn-sm abet-deactivate" data-rubricpk={{rubric.pk}}>
											<i class="fa fa-check"></i>Desactivar</button>
									</td>
								</tr>
								{% endfor %}
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="tab-pane fade" id="pillnav2">
		<div class="row">
			<div class="card card-data-tables product-table-wrapper">
				<header class="card-heading">
					<h2 class="card-title">Mis Rúbricas ABET</h2>
					<div class="card-search">
						<div id="productsTable_wrapper" class="form-group label-floating is-empty">
							<i class="zmdi zmdi-search search-icon-left"></i>
							<input type="text" class="form-control filter-input" placeholder="Buscar Rúbricas..." autocomplete="off">
							<a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
								<i class="zmdi zmdi-close"></i>
							</a>
						</div>
					</div>
					<ul class="card-actions icons right-top">
						<li>
							<a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Buscar Rúbrica...">
								<i class="zmdi zmdi-filter-list"></i>
							</a>
						</li>
						<li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Show Entries">
							<a href="javascript:void(0)" data-toggle="dropdown">
								<i class="zmdi zmdi-more-vert"></i>
							</a>
							<div id="dataTablesLength2">
							</div>
						</li>
					</ul>
				</header>
				<div class="card-body p-0">
					<div class="table-responsive">
						<table id="misrubricas" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
							<thead>
							<tr>
								<th>Título</th>
								<th>Carrera</th>
								<th>Última Edición</th>
								<th>Acciones</th>
							</tr>
							</thead>
							<tbody>
							{% for rubric in abets_privados %}
							<tr>
								<td class="col-md-4">{{rubric.1.name}}</td>
								<td class="col-md-4">{{rubric.0}}</td>
								<td class="col-md-4">{{rubric.1.date}}</td>
								<td class="col-md-4" style="text-align:left">
									<a href="{% url 'abet_rubric_details' rubric.1.pk %}" class="btn btn-success btn-sm"><i class="fa fa-info-circle"></i> Detalles </a>
									<a href="{% url 'abet_rubric_delete' rubric.1.pk %}" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> Eliminar </a>
									<button type='button' class='btn btn-sm btn-primary' data-toggle='modal' data-target='#modal_activate' data-carreerpk={{rubric.1.carreer}} data-rubricpk={{rubric.1.pk}}>
										Activar
										<i class='fa fa-check' style='color:white'></i>
									</button>
								</td>
							</tr>
							{% endfor %}
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<!-- Modal Activacion -->
<div class="modal fade" id="modal_activate" tabindex="-1" role="dialog" aria-labelledby="activateModal">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header bg-primary" style="text-align: center">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
				<h1 style="color:white">Activación de Rúbrica-Abet</h2>
			</div>
			<div class="modal-body">
				<h4> Elija la Asignatura a la que quiera vincular la rúbrica: </h4>
				<hr>
				<div>
					<div class="form-group ">
						<label for="subject" class="control-label">Subject:</label>
						<select id="subject" class="select form-control" data-rule-required="true" aria-required="true">
						</select>
					</div>
				</div>
			</div>
			<hr>
			<div class="modal-footer bg-primary">
				<button type="button" class="btn btn-primary" data-dismiss="modal" id="accept_activation">Aceptar</button>
			</div>
		</div>
	</div>
</div>
<!-- End Modal -->

{% endblock content %} {% block javascript %}

<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script>
	$(document).on("click",".abet-deactivate",function(){
		var rubricpk = $(this).data('rubricpk');
		var data = {
			rubric_pk: rubricpk,
			csrfmiddlewaretoken: '{{ csrf_token }}'
		};
		swal({
            title: "Esta por desactivar una rúbrica abet",
            text: "Se desvinculará la rúbrica de la asignatura designada, ¿está seguro?",
			icon: 'warning',
            buttons: {
                cancel: "Cancelar",
                confirm: "Si, estoy seguro."
			},
            dangerMode: true,
        }, ).then((isConfirm) => {
            if (isConfirm) {
				console.log("LLEGUE AL CONFIRM");
                $.ajax({
                    type: "post",
                    url: "{% url 'abet_rubric_deactivate' %}",
                    data: data,
                    success: function (result) {

                        swal("Éxito!", "La rúbrica ha sido desactivada.", "success")
                            .then((value) => {
                                window.location.reload();
                            });
                    },
                    error: function () {
                        swal("Error", "Ocurrió un error al intentar realizar la operación, inténtelo más tarde.", "error");
                    },
                });
            }
		});
	});
	$(document).ready(function () {
		$("#misrubricas").DataTable({
			"aaSorting": [[0, 'asc']],
			destroy: true,
			searching: false
		});
		$("#rubricas").DataTable({
			"aaSorting": [[0, 'asc']],
			destroy: true,
			searching: false
		});

		$('#modal_activate').on('show.bs.modal', function (event) {

			var button = $(event.relatedTarget) // Button that triggered the modal     
			var carreer_pk = button.data('carreerpk');
			var rubric_pk = button.data('rubricpk');
			$("#accept_activation").data("rubricpk",rubric_pk);
			$("#accept_activation").data("carreerpk",carreer_pk);

			data = {

				pk: carreer_pk,
				csrfmiddlewaretoken: '{{ csrf_token }}'

			};

			$.ajax({
				type: "post",
				dataType: "json",
				url: "{% url 'get_carreer_subjects' %}",
				data: data,

				success: function (data) {
					$("#subject").html(data.subjects)
				},

			});
			// moredata: 'moredata',
		});
		$('.filter-input').keyup(function () {
			oTable.search($(this).val()).draw();
		});
		var $lengthSelect = $(".card.card-data-tables select.form-control.input-sm");
		var tableLength = $lengthSelect.detach();
		$('#dataTablesLength2').append(tableLength);
		$(".card.card-data-tables .card-actions select.form-control.input-sm").dropdown({
			"optionClass": "withripple"
		});
		$('#dataTablesLength2 .dropdownjs .fakeinput').hide();
		$('#dataTablesLength2 .dropdownjs ul').addClass('dropdown-menu dropdown-menu-right');

		$('#accept_activation').on('click', function (event) {
			var button = $(this);
			var rubric_pk = button.data("rubricpk");
			var subject = $("#subject").val();
			data = {
				rubric_pk: rubric_pk,
				subject: subject,
				csrfmiddlewaretoken: '{{ csrf_token }}'
			};

			$.post("{% url 'abet_rubric_activate' %}", data, function (response) {
				location.reload();
			});
		});

	});

</script> {% endblock javascript %}